package alx.p36_lokalizacja;

import java.text.DateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

// pl_PL en_US

public class UseLocale1 {

	public static void main(String[] args) {
		Locale polski = new Locale("pl");
		Locale brytyjski = new Locale("en", "GB");
		Locale amerykański = new Locale("en", "US");
		Locale techniczny = new Locale("en", "US", "UTF8");
		
		DateFormat df = DateFormat.getDateInstance(DateFormat.FULL);
		DateFormat dfPL = DateFormat.getDateInstance(DateFormat.FULL, polski);
		DateFormat dfGB = DateFormat.getDateInstance(DateFormat.FULL, brytyjski);
		DateFormat dfAM = DateFormat.getDateInstance(DateFormat.FULL, amerykański);
		
		Date now = Calendar.getInstance().getTime();
		
		System.out.println(df.format(now));
		System.out.println(dfPL.format(now));
		System.out.println(dfGB.format(now));
		System.out.println(dfAM.format(now));
	}
}
